package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 租赁订单表
 * 2017年3月9日
 * @author LJK
 */
public class RentOrder implements Serializable{
    private static final long serialVersionUID = 4990453646257355156L;
    
    private String rentOrderId;                //订单id
    private String rentOpenid;                 //所属用户
    private Integer rentAmount;                //订单总额
    private Integer rentPayMoney;              //实际支付金额
    private Integer rentServiceId;             //抵扣券id
    
    private Integer rentServiceMoney;          //抵扣金额
    private Integer rentTypeId;                //租赁类型
    private Integer rentStatus;                //状态 状态和之前商城状态基本一致，为0-11，12（已完成）去掉
    private Date rentSendDate;                 //发货时间
    private String rentPostNum;                //快递单号
    
    private String rentPostFirm;               //快递公司
    private String rentAddressInfo;            //详细地址
    private String rentAddressTel;             //收件人电话
    private String rentAddressName;            //收件人姓名
    private String rentTransactionId;          //微信订单号
    
    private Date rentTransactionDate;          //微信支付时间
    private Date rentCreateDate;               //订单创建时间
    private String rentAdminRemark;            //后台的备注
    private String rentUserRemark;             //用户备注
    private Integer rentOldStatus;				//订单旧状态
    private List<RentOrderItem> list = new ArrayList<RentOrderItem>();          //订单项
    private Integer deadline;		//订单关闭时间

    public Integer getDeadline() {
		return deadline;
	}
	public void setDeadline(Integer deadline) {
		this.deadline = deadline;
	}
	public Integer getRentOldStatus() {
		return rentOldStatus;
	}
	public void setRentOldStatus(Integer rentOldStatus) {
		this.rentOldStatus = rentOldStatus;
	}
	public String getRentOrderId() {
        return rentOrderId;
    }
    public void setRentOrderId(String rentOrderId) {
        this.rentOrderId = rentOrderId;
    }
    public String getRentOpenid() {
        return rentOpenid;
    }
    public void setRentOpenid(String rentOpenid) {
        this.rentOpenid = rentOpenid;
    }
    public Integer getRentAmount() {
        return rentAmount;
    }
    public void setRentAmount(Integer rentAmount) {
        this.rentAmount = rentAmount;
    }
    public Integer getRentPayMoney() {
        return rentPayMoney;
    }
    public void setRentPayMoney(Integer rentPayMoney) {
        this.rentPayMoney = rentPayMoney;
    }
    public Integer getRentServiceId() {
        return rentServiceId;
    }
    public void setRentServiceId(Integer rentServiceId) {
        this.rentServiceId = rentServiceId;
    }
    public Integer getRentServiceMoney() {
        return rentServiceMoney;
    }
    public void setRentServiceMoney(Integer rentServiceMoney) {
        this.rentServiceMoney = rentServiceMoney;
    }
    public Integer getRentTypeId() {
        return rentTypeId;
    }
    public void setRentTypeId(Integer rentTypeId) {
        this.rentTypeId = rentTypeId;
    }
    public Integer getRentStatus() {
        return rentStatus;
    }
    public void setRentStatus(Integer rentStatus) {
        this.rentStatus = rentStatus;
    }
    public Date getRentSendDate() {
        return rentSendDate;
    }
    public void setRentSendDate(Date rentSendDate) {
        this.rentSendDate = rentSendDate;
    }
    public String getRentPostNum() {
        return rentPostNum;
    }
    public void setRentPostNum(String rentPostNum) {
        this.rentPostNum = rentPostNum;
    }
    public String getRentPostFirm() {
        return rentPostFirm;
    }
    public void setRentPostFirm(String rentPostFirm) {
        this.rentPostFirm = rentPostFirm;
    }
    public String getRentAddressInfo() {
        return rentAddressInfo;
    }
    public void setRentAddressInfo(String rentAddressInfo) {
        this.rentAddressInfo = rentAddressInfo;
    }
    public String getRentAddressTel() {
        return rentAddressTel;
    }
    public void setRentAddressTel(String rentAddressTel) {
        this.rentAddressTel = rentAddressTel;
    }
    public String getRentAddressName() {
        return rentAddressName;
    }
    public void setRentAddressName(String rentAddressName) {
        this.rentAddressName = rentAddressName;
    }
    public String getRentTransactionId() {
        return rentTransactionId;
    }
    public void setRentTransactionId(String rentTransactionId) {
        this.rentTransactionId = rentTransactionId;
    }
    public Date getRentTransactionDate() {
        return rentTransactionDate;
    }
    public void setRentTransactionDate(Date rentTransactionDate) {
        this.rentTransactionDate = rentTransactionDate;
    }
    public Date getRentCreateDate() {
        return rentCreateDate;
    }
    public void setRentCreateDate(Date rentCreateDate) {
        this.rentCreateDate = rentCreateDate;
    }
    public String getRentAdminRemark() {
        return rentAdminRemark;
    }
    public void setRentAdminRemark(String rentAdminRemark) {
        this.rentAdminRemark = rentAdminRemark;
    }
    public String getRentUserRemark() {
        return rentUserRemark;
    }
    public void setRentUserRemark(String rentUserRemark) {
        this.rentUserRemark = rentUserRemark;
    }
    public List<RentOrderItem> getList() {
        return list;
    }
    public void setList(List<RentOrderItem> list) {
        this.list = list;
    }
    @Override
    public String toString() {
        return "RentOrder [rentOrderId=" + rentOrderId + ", rentOpenid=" + rentOpenid
                + ", rentAmount=" + rentAmount + ", rentPayMoney="
                + rentPayMoney + ", rentServiceId=" + rentServiceId
                + ", rentServiceMoney=" + rentServiceMoney + ", rentTypeId="
                + rentTypeId + ", rentStatus=" + rentStatus + ", rentSendDate="
                + rentSendDate + ", rentPostNum=" + rentPostNum
                + ", rentPostFirm=" + rentPostFirm + ", rentAddressInfo="
                + rentAddressInfo + ", rentAddressTel=" + rentAddressTel
                + ", rentAddressName=" + rentAddressName
                + ", rentTransactionId=" + rentTransactionId
                + ", rentTransactionDate=" + rentTransactionDate
                + ", rentCreateDate=" + rentCreateDate + ", rentAdminRemark=" + rentAdminRemark
                + ", rentUserRemark=" + rentUserRemark + ", list=" + list + "]";
    }
    
}
